Subject: bug#50640: 28.0.50; incorrect highlighting in C++ mode

From: Vincent Lefevre <[email-masked]>
Date: Fri, 26 Aug 2022 14:24:08 +0200

On 2022-08-26 13:42:24 +0200, Lars Ingebrigtsen wrote:
> Alan Mackenzie <[email-masked]> writes:
> 
> > There's really not much which can be done about this in CC Mode, sorry.
> > CC Mode's analysis of ambiguous C++ constructs is not very deep, so it
> > sometimes gets it wrong, as here.
> >
> > I would be in favour of closing this bug as "won't fix" (actually, can't
> > fix).
> 
> OK; closing this as a "wontfix", then.

Isn't it really possible to have an option to forbid && and ||
in <...> constructs?

I think that this would be useful in practice, because when && or ||
is involved, < and > around them probably mean comparisons.

Note that the issue is more general than nested < .. < .. > .. >.
Bad highlighting also occurs just with "a < b || c > d".

-- 
Vincent Lefèvre <[email-masked]> - Web: <https://www.vinc17.net/>
100% accessible validated (X)HTML - Blog: <https://www.vinc17.net/blog/>
Work: CR INRIA - computer arithmetic / AriC project (LIP, ENS-Lyon)